<link rel="import" href="/bower_components/polymer/polymer-element.html">

<link rel="import" href="/bower_components/paper-styles/color.html">
<link rel="import" href="../l1page-theme/l1page-theme.html">

<link rel="import" href="/bower_components/paper-button/paper-button.html">
<link rel="import" href="/bower_components/iron-icon/iron-icon.html">
<link rel="import" href="/bower_components/iron-icons/iron-icons.html">
<link rel="import" href="/bower_components/paper-fab/paper-fab.html">

<link rel="import" href="/bower_components/paper-checkbox/paper-checkbox.html">

<link rel="import" href="/bower_components/paper-dropdown-menu/paper-dropdown-menu.html">
<link rel="import" href="/bower_components/paper-material/paper-material.html">
<link rel="import" href="/bower_components/paper-listbox/paper-listbox.html">
<link rel="import" href="/bower_components/paper-menu/paper-menu.html">
<link rel="import" href="/bower_components/paper-item/paper-item.html">
<link rel="import" href="/bower_components/paper-icon-button/paper-icon-button.html">

<link rel="import" href="/bower_components/paper-input/paper-input.html">
<link rel="import" href="/bower_components/paper-input/paper-textarea.html">
<link rel="import" href="/bower_components/paper-radio-button/paper-radio-button.html">
<link rel="import" href="/bower_components/paper-radio-group/paper-radio-group.html">
<link rel="import" href="/bower_components/paper-toggle-button/paper-toggle-button.html">
<link rel="import" href="/bower_components/paper-slider/paper-slider.html">

<link rel="import" href="/bower_components/paper-progress/paper-progress.html">
<link rel="import" href="/bower_components/paper-spinner/paper-spinner.html">

<link rel="import" href="/bower_components/paper-tabs/paper-tabs.html">
<link rel="import" href="/bower_components/paper-tabs/paper-tab.html">

<link rel="import" href="/bower_components/paper-tooltip/paper-tooltip.html">

<link rel="import" href="/bower_components/iron-collapse/iron-collapse.html"><!--
`<awesome-sauce>` injects a healthy dose of awesome into your page.

In typical use, just slap some `<awesome-sauce>` at the top of your body:

    <body>
      <awesome-sauce></awesome-sauce>

Wham! It's all awesome now!
-->

<dom-module id="demo-page">
  <template>
    <link rel="stylesheet" href="demo-page.css?__inline=true">
    <style include="l1page-theme"></style>

    <h1>Buttons</h1>
    <div horizontal layout>
      <paper-button>default</paper-button>
      <paper-button disabled>disabled</paper-button>
      <paper-button noink>noink</paper-button>
      <paper-button><iron-icon icon="polymer"></iron-icon> icon</paper-button>
      <paper-button primary>primary</paper-button>
      <paper-button secondary>secondary</paper-button>
      <paper-button info>info</paper-button>
      <paper-button warning>warning</paper-button>
      <paper-button error>error</paper-button>
    </div>
    <div horizontal layout>
      <paper-button raised>default</paper-button>
      <paper-button raised disabled>disabled</paper-button>
      <paper-button raised noink>noink</paper-button>
      <paper-button raised><iron-icon icon="polymer"></iron-icon> icon</paper-button>
      <paper-button raised primary>primary</paper-button>
      <paper-button raised secondary>secondary</paper-button>
      <paper-button raised info>info</paper-button>
      <paper-button raised warning>warning</paper-button>
      <paper-button raised error>error</paper-button>
    </div>
    <div horizontal layout>
      <paper-button toggles>default</paper-button>
      <paper-button toggles disabled>disabled</paper-button>
      <paper-button toggles noink>noink</paper-button>
      <paper-button toggles><iron-icon icon="polymer"></iron-icon> icon</paper-button>
      <paper-button toggles primary>primary</paper-button>
      <paper-button toggles secondary>secondary</paper-button>
      <paper-button toggles info>info</paper-button>
      <paper-button toggles warning>warning</paper-button>
      <paper-button toggles error>error</paper-button>
    </div>
    <div horizontal layout>
      <paper-icon-button icon="menu"></paper-icon-button>
      <paper-icon-button icon="menu" disabled></paper-icon-button>
      <paper-icon-button icon="menu" noink></paper-icon-button>
      <paper-icon-button icon="menu" toggles></paper-icon-button>
      <paper-icon-button icon="menu" primary></paper-icon-button>
      <paper-icon-button icon="menu" secondary></paper-icon-button>
      <paper-icon-button icon="menu" info></paper-icon-button>
      <paper-icon-button icon="menu" warning></paper-icon-button>
      <paper-icon-button icon="menu" error></paper-icon-button>
    </div>
    <div horizontal layout>
      <paper-fab icon="arrow-forward" title="arrow-forward"></paper-fab>
      <paper-fab disabled icon="create" title="create"></paper-fab>
      <paper-fab primary icon="favorite" title="heart"></paper-fab>
      <paper-fab info mini icon="reply" title="reply"></paper-fab>
      <paper-fab warning mini icon="reply" title="reply"></paper-fab>
      <paper-fab error mini icon="reply" title="reply"></paper-fab>
    </div>

    <h1>Checkboxes</h1>
    <p>
      These demonstrate the ability to customize the theme per-panel.
    </p>
    <div horizontal layout>
      <div vertical layout>
        <paper-checkbox>Default unchecked</paper-checkbox>
        <paper-checkbox noink>no ink</paper-checkbox>
        <paper-checkbox pink>Unchecked with theme override</paper-checkbox>
        <paper-checkbox checked>Default checked</paper-checkbox>
        <paper-checkbox pink checked>Checked with theme override</paper-checkbox>
      </div>
      <div vertical layout>
        <paper-checkbox disabled>Default unchecked</paper-checkbox>
        <paper-checkbox disabled pink>Unchecked with theme override</paper-checkbox>
        <paper-checkbox disabled checked>Default checked</paper-checkbox>
        <paper-checkbox disabled pink checked>Checked with theme override</paper-checkbox>
      </div>
    </div>

    <h1>Menus</h1>
    <div horizontal layout>
      <paper-dropdown-menu label="Dinosaurs">
        <paper-listbox slot="dropdown-content" selected="1">
          <paper-item>allosaurus</paper-item>
          <paper-item>brontosaurus</paper-item>
          <paper-item>carcharodontosaurus</paper-item>
          <paper-item>diplodocus</paper-item>
        </paper-listbox>
      </paper-dropdown-menu>
    </div>
    <div horizontal layout>
      <paper-material elevation="1">
        <paper-listbox>
          <paper-item>Item 1</paper-item>
          <paper-item>Item 2</paper-item>
        </paper-listbox>
      </paper-material>
      <paper-material elevation="1">
        <paper-listbox selected="0">
          <paper-item>Item 1</paper-item>
          <paper-item>Item 2</paper-item>
        </paper-listbox>
      </paper-material>
      <paper-material elevation="1">
        <paper-listbox multi>
          <paper-item>Item 1</paper-item>
          <paper-item>Item 2</paper-item>
        </paper-listbox>
      </paper-material>
    </div>
    <div horizontal layout>
      <paper-material elevation="1">
        <paper-menu selected="0">
          <paper-item>Item 1</paper-item>
          <paper-item>Item 2</paper-item>
        </paper-menu>
      </paper-material>
      <paper-material elevation="1">
        <paper-menu multi>
          <paper-item>Item 1</paper-item>
          <paper-item>Item 2</paper-item>
        </paper-menu>
      </paper-material>
      <paper-menu-button>
        <paper-icon-button icon="menu" class="dropdown-trigger"></paper-icon-button>
        <paper-menu slot="dropdown-content">
          <paper-item>Share</paper-item>
          <paper-item>Settings</paper-item>
          <paper-item>Help</paper-item>
        </paper-menu>
      </paper-menu-button>
    </div>

    <h1>Input</h1>
    <div vertical layout>
      <paper-input label="text input"></paper-input>
      <paper-textarea label="autoresizing textarea input"></paper-textarea>
      <paper-input label="disabled input" disabled></paper-input>
      <paper-input label="input with at most 10 characters" char-counter maxlength="10"></paper-input>
      <paper-input label="this label never floats" no-label-float></paper-input>
      <paper-input label="this label is always floating" always-float-label placeholder="placeholder text"></paper-input>
      <paper-input label="total" type="number">
        <div prefix>$</div>
      </paper-input>
      <paper-slider min="10" max="200" value="110"></paper-slider>
      <paper-slider min="10" max="200" value="110" pin max-markers="10"></paper-slider>
      <paper-slider min="10" max="200" value="110" pin max-markers="10" secondary-progress="190"></paper-slider>
      <paper-slider min="10" max="200" value="110" pin max-markers="10" editable step></paper-slider>
    </div>
    <div horizontal layout>
      <paper-radio-button>Radio</paper-radio-button>
      <paper-radio-button checked>Radio</paper-radio-button>
      <paper-radio-button disabled>Disabled</paper-radio-button>
      <paper-radio-button noink>No ink</paper-radio-button>
      <paper-radio-button primary>Primary</paper-radio-button>
      <paper-radio-button secondary>Secondary</paper-radio-button>
      <paper-radio-button info>Info</paper-radio-button>
      <paper-radio-button warning>Warning</paper-radio-button>
      <paper-radio-button error>Error</paper-radio-button>
    </div>
    <paper-radio-group selected="small" vertical layout>
      <paper-radio-button name="small">Small</paper-radio-button>
      <paper-radio-button name="medium">Medium</paper-radio-button>
      <paper-radio-button name="large">Large</paper-radio-button>
    </paper-radio-group>
    <div vertical layout>
      <paper-toggle-button>Toggle</paper-toggle-button>
      <paper-toggle-button checked>Toggle</paper-toggle-button>
      <paper-toggle-button disabled>Disabled</paper-toggle-button>
      <paper-toggle-button noink>No ink</paper-toggle-button>
    </div>

    <h1>Progress</h1>
    <paper-progress value="10"></paper-progress>
    <paper-progress value="10" secondary-progress="30"></paper-progress>
    <paper-spinner active></paper-spinner>

    <h1>Tabs</h1>
    <paper-tabs selected="0">
      <paper-tab>TAB 1</paper-tab>
      <paper-tab>TAB 2</paper-tab>
      <paper-tab>TAB 3</paper-tab>
    </paper-tabs>
    <paper-tabs selected="0" scrollable>
      <paper-tab>NUMBER ONE ITEM</paper-tab>
      <paper-tab>ITEM TWO</paper-tab>
      <paper-tab>THE THIRD ITEM</paper-tab>
      <paper-tab>THE ITEM FOUR</paper-tab>
      <paper-tab>FIFTH</paper-tab>
      <paper-tab>THE SIXTH TAB</paper-tab>
      <paper-tab>NUMBER SEVEN</paper-tab>
      <paper-tab>EIGHT</paper-tab>
      <paper-tab>NUMBER NINE</paper-tab>
      <paper-tab>THE TENTH</paper-tab>
      <paper-tab>THE ITEM ELEVEN</paper-tab>
      <paper-tab>TWELFTH ITEM</paper-tab>
    </paper-tabs>
    <paper-tabs selected="0" align-bottom autoselect>
      <paper-tab>ITEM ONE</paper-tab>
      <paper-tab>ITEM TWO</paper-tab>
      <paper-tab>ITEM THREE</paper-tab>
    </paper-tabs>

    <h1>Tooltips</h1>
    <paper-icon-button id="id_1" icon="favorite" alt="heart">
      <paper-tooltip ffor="id_1" offset="0" animation-delay="0">&#10084;&#65038;</paper-tooltip>
    </paper-icon-button>


    <h1>Ripples</h1>
    <paper-material elevation="1" style="width:200px;height:200px;display:inline-block;position:relative;">
      <paper-ripple></paper-ripple>
    </paper-material>
    <paper-material elevation="1" style="width:400px;height:400px;display:inline-block;position:relative;">
      <paper-ripple></paper-ripple>
    </paper-material>
  </template>
</dom-module>

<script src="demo-page.js?__inline=true"></script>
